package com.bonus.canteen.core.pay.api.dto;

public class UnifyRefundSelectDTO {
   private Long tradeId;
   private Long refundId;
   private boolean sendNoticeMQ = false;
   private boolean fromAutoQuery = false;

   public static UnifyRefundSelectDTO of(UnifyPaySelectDTO paySelectDTO) {
      UnifyRefundSelectDTO refundSelectDTO = new UnifyRefundSelectDTO();
      refundSelectDTO.setTradeId(paySelectDTO.getTradeId());
      refundSelectDTO.setRefundId(paySelectDTO.getOrderRechargeId());
      refundSelectDTO.setSendNoticeMQ(paySelectDTO.isSendNoticeMQ());
      refundSelectDTO.setFromAutoQuery(paySelectDTO.isFromAutoQuery());
      return refundSelectDTO;
   }

   public Long getTradeId() {
      return this.tradeId;
   }

   public Long getRefundId() {
      return this.refundId;
   }

   public boolean isSendNoticeMQ() {
      return this.sendNoticeMQ;
   }

   public boolean isFromAutoQuery() {
      return this.fromAutoQuery;
   }

   public UnifyRefundSelectDTO setTradeId(final Long tradeId) {
      this.tradeId = tradeId;
      return this;
   }

   public UnifyRefundSelectDTO setRefundId(final Long refundId) {
      this.refundId = refundId;
      return this;
   }

   public UnifyRefundSelectDTO setSendNoticeMQ(final boolean sendNoticeMQ) {
      this.sendNoticeMQ = sendNoticeMQ;
      return this;
   }

   public UnifyRefundSelectDTO setFromAutoQuery(final boolean fromAutoQuery) {
      this.fromAutoQuery = fromAutoQuery;
      return this;
   }
}
